[**@rxap/form-system v19.0.4-dev.0**](../README.md)

***

[@rxap/form-system](../globals.md) / UseDataSource

# Function: UseDataSource()

> **UseDataSource**\<`Data`\>(`dataSource`, `name`, `settings`?): (`target`, `propertyKey`) => `void`

Defined in: [packages/angular/form-system/src/lib/decorators/use-data-source.ts:20](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/decorators/use-data-source.ts#L20)

## Type Parameters

• **Data**

## Parameters

### dataSource

`IdOrInstanceOrToken`\<`BaseDataSource`\<`Data`, `BaseDataSourceMetadata`, `BaseDataSourceViewer`\<`any`\>\>\>

### name

`string`

### settings?

[`UseDataSourceSettings`](../interfaces/UseDataSourceSettings.md)\<`any`, `any`\>

## Returns

`Function`

### Parameters

#### target

`any`

#### propertyKey

`string`

### Returns

`void`
